<?php
session_start();

function checkPass($user, $pass)
{
  //nawiązanie połączenia z bazą
  if (!$db_lnk = @mysql_connect("localhost", "php", "test")){
    //echo('Wystąpił błąd podczas próby połączenia z bazą...<br />');
    return false;
  }

  if(!@mysql_select_db('testphp')){
    @mysql_close();
    //echo('Wystąpił błąd podczas wyboru bazy danych: testphp <br />');
    return false;
  }

  //wykonanie zapytania

  $query = "SELECT haslo, strona FROM users WHERE nazwa='$user' ";

  if(!$result = mysql_query($query, $db_lnk)){
    @mysql_close();
    //echo('Wystąpił błąd: nieprawidłowe zapytanie...<br />');
    return false;
  }

  //błędna liczba wierszy wynikowych
  if(mysql_num_rows($result) != 1){
    @mysql_close();
    return false;
  }

  //odczyt wyników zapytania
  if(!$row = mysql_fetch_row($result)){
    @mysql_close();
    //echo('Wystąpił błąd podczas pobierania wyników zapytania: ...<br />');
    return false;
  }
  
  //ostateczne sprawdzenie poprawności danych otrzymanych z formularza
  if($row[0] == $pass){
    if($row[1] != ''){
      $result = $row[1];
    }
    else{
      $result = 'glowna.php';
    }
  }
  else{
    $result = false;
  }
  @mysql_close();
  return $result;
}

if(isSet($_SESSION['zalogowany'])){
  header("Location: glowna.php");
  exit();
}
else if(isSet($_POST['user']) && isSet($_POST['haslo'])){
  if(($result = checkPass($_POST['user'], $_POST['haslo'])) !== null){
    $_SESSION['zalogowany'] = $_POST['user'];
    header("Location: $result");
    exit();
  }
  else{
    $komunikat = "Niepoprawne dane logowania.";
  }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Logowanie użytkowników</title>
</head>
<body>
<div>
<form action = "http://localhost/index.php"
      method = "post"
>
<?php
  if(isSet($komunikat)):
?>
<div><?php echo $komunikat; ?></div>
<?php
  endif;
?>
<table border="0"><tr>
<td>Użytkownik:</td>
<td>
  <input type="text" name="user" />
</td>
</tr><tr>
<td>Hasło:</td>
<td>
  <input type="password" name="haslo" />
</td>
</tr><tr>
<td colspan="2" align="center">
  <input type="submit" value="Wejdź" />
</td>
</tr></table>
</form>
</div>
</body>
</html>
